class ConfiguratorNode
{
	struct Key
	{
		char Name[32];
		char Data[256];
	};
	char Name[32];
	
	DynVector<ConfiguratorNode *> *m_Next;
	DynVector<Key *> *m_Keys;
	
public:
	ConfiguratorNode();
	~ConfiguratorNode();

	ConfiguratorNode *Next_Level(const char *Item);
	const char *Keys(const char *Item);

	void Add_Key(const char *Item, const char *Data);
	void Add_Level(const char *Item);
};

